RubyGems Navigation menu

github-linguist 7.20.0

We use this library at GitHub to detect blob languages, highlight code, ignore binary files, suppress generated files in diffs, and generate language breakdown graphs.

Versions:

  1. 7.20.0 - April 04, 2022 (2.6 MB)
  2. 7.19.0 - February 21, 2022 (2.66 MB)
  3. 7.18.0 - December 15, 2021 (2.59 MB)
  4. 7.17.0 - October 19, 2021 (2.59 MB)
  5. 7.16.1 - August 04, 2021 (2.55 MB)
Show all versions (187 total)

Runtime Dependencies (4):

Development Dependencies (10):

  • bundler ~> 2.0
  • licensed ~> 2.0
  • licensee ~> 9.15
  • minitest ~> 5.15
  • mocha ~> 1.3
  • plist ~> 3.1
  • pry ~> 0.14
  • rake ~> 13.0
  • rake-compiler ~> 0.9
  • yajl-ruby ~> 1.4
  • Owners:

    Pushed by:

    Authors:

    • GitHub

    SHA 256 checksum:

    495bf7751c47172601d8ac3c03a0b12b1db01f0ec5443534d6ba395020e47181

    Total downloads 11,955,325

    For this version 26,104

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 0

    Links: